---
title: "Meh Movies of 2014"
date: "2014-12-31"
layout: post
tags:
    - "Movies"
cover:  assets/images/posts/Blog/2016-11-13-StarWarsAnime.jpg
author: happyneal
---

What is a "meh"- movie? Well movies that are in fact entertaining, you can watch them once but most of the movie is just not so good. Mostly this is due to the fact that the story did not take any risks and just showed us stuff we already have seen before.

# Bad Words
While the entire movie has its fun moments most of them are over the top and not very funny, its rather tragic as a grown man is competing in spelling bees for some reason.

# X-Men Days of Future Past
This movie is Fox Films entry into the "Superhero" movie genre. While the movie is not bad, you can see how the movie is created by business executives that have no passion for the source material and are mostly concerned about the money.

Frankly I haven't read any comic books and I don’t really care if the movie matches up to the comic book story 1:1. The choice for Wolverine going back in time just screams "we are playing it safe" - audiences know Wolverine, they like wolverine, if he is our main protagonist, well then people will go and watch the movie.

How do we get Fans excited to create a hype, we throw in Bishop in the Trailer, does he do anything in the movie - no, not really he explodes and we wont even say that his name is bishop. We need to get access to the Chinese Movie Market, so we cast Fan Bingbing as one of the characters. Are we going to give her any lines? - No. (However she played an impressive character in the few scenes she is in)

The movie doesn’t show us anything fresh or original, it doesn’t want to challenge the audience with difficult questions and tries to be acceptable towards the entire audience.

So in this creative wasteland, there are two outstanding scenes, the very impressive looking Quicksilver scene and the Portals created by the portalgirl (Fan Bingbing)

# The Amazing Spiderman 2
And here we have the entry of Sony into the "Superhero" genre. Riddled with the same problems, it doesn’t really take any risks, and did not learn from Spiderman 3 that frankly too many villains is stupid.

The only thing great about the movie is the Story arc with Gwen Stacy. The rest is seen it before or looks like a video game.

# Edge of Tomorrow
This is a movie playing it safe about 20x, it is essentially the same movie as any other tom cruise movie. Not really bad, not really good, just meh.

However it has some nice moments with Emily Blunt and at least in the beginning has interesting looking mech-suits, aliens and explosions. However the Hype  and Trailer was looking better than the final movie.

# If I Stay
A touching story about a girl almost killed in a car accident, having to decide if she dies or wants to live on.

While an interesting story and well made I just could not care less for the movie.